Subject: RE: testing if it's cygwin
From: "Kris Thielemans" <[email-masked]>
To: "Fleischer, Karsten \(K.\)" <[email-masked]>
Cc: "Gnuwin" <[email-masked]>
Date: Fri, 17 Nov 2000 16:12:57 -0000

Hi Karsten,

sounds sensible, only B20 seems to have OSTYPE=cygwin32. I can handle that
of course.

Thanks!
>
> Hello Kris,
>
> > what would be the recommended way of testing (in a shell
> > script file, or a
> > Makefile) if it's being run on CYGWIN?
> > At the moment, I do
> > 	uname
> > and test on CYGWIN-NT4.0, but that seems like a bad idea, as I want to
> > support W9? or W2000 as well. Also, it relies on the
> > existence of uname of
> > course...
>
> I check the environment variable OSTYPE for "cygwin" in my makefiles.
> However, I don't know if it's reliable.
>
> Karsten
>

--
Want to unsubscribe from this list?
Send a message to [email-masked]